Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.doc
Class DocPublisher

    java.lang.Object
      grails.doc.DocPublisher

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class DocPublisher

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`DocPublisher()`
`DocPublisher(File src, File target)`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`groovy.util.AntBuilder` | `getAnt()`
`String` | `getAuthors()`
`String` | `getCopyright()`
`File` | `getCss()`
`String` | `getEncoding()`
`Properties` | `getEngineProperties()`
`String` | `getFooter()`
`File` | `getImages()`
`String` | `getLicense()`
`String` | `getLogo()`
`groovy.lang.MetaClass` | `getMetaClass()`
`Object` | `getProperty(String property)`
`String` | `getSponsorLogo()`
`File` | `getSrc()`
`File` | `getStyle()`
`String` | `getSubtitle()`
`File` | `getTarget()`
`String` | `getTitle()`
`String` | `getVersion()`
`File` | `getWorkDir()`
`protected void` | `initialize()`
`Object` | `invokeMethod(String method, Object arguments)`
`void` | `publish()`
`void` | `setAnt(groovy.util.AntBuilder value)`
`void` | `setAuthors(String value)`
`void` | `setCopyright(String value)`
`void` | `setCss(File value)`
`void` | `setEncoding(String value)`
`void` | `setEngineProperties(Properties p)`
`void` | `setFooter(String value)`
`void` | `setImages(File value)`
`void` | `setLicense(String value)`
`void` | `setLogo(String value)`
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`void` | `setProperty(String property, Object value)`
`void` | `setSponsorLogo(String value)`
`void` | `setSrc(File value)`
`void` | `setStyle(File value)`
`void` | `setSubtitle(String value)`
`void` | `setTarget(File value)`
`void` | `setTitle(String value)`
`void` | `setVersion(String value)`
`void` | `setWorkDir(File value)`
`void` | `writeChapter(groovy.text.Template template, String targetDir, String title, StringBuffer content, Map vars)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocPublisher

    public DocPublisher()

### DocPublisher

    public DocPublisher(File src,
                        File target)

Method Detail

### getSrc

    public File getSrc()

### setSrc

    public void setSrc(File value)

### getTarget

    public File getTarget()

### setTarget

    public void setTarget(File value)

### getWorkDir

    public File getWorkDir()

### setWorkDir

    public void setWorkDir(File value)

### getImages

    public File getImages()

### setImages

    public void setImages(File value)

### getCss

    public File getCss()

### setCss

    public void setCss(File value)

### getStyle

    public File getStyle()

### setStyle

    public void setStyle(File value)

### getAnt

    public groovy.util.AntBuilder getAnt()

### setAnt

    public void setAnt(groovy.util.AntBuilder value)

### getEncoding

    public String getEncoding()

### setEncoding

    public void setEncoding(String value)

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String value)

### getSubtitle

    public String getSubtitle()

### setSubtitle

    public void setSubtitle(String value)

### getVersion

    public String getVersion()

### setVersion

    public void setVersion(String value)

### getAuthors

    public String getAuthors()

### setAuthors

    public void setAuthors(String value)

### getLicense

    public String getLicense()

### setLicense

    public void setLicense(String value)

### getCopyright

    public String getCopyright()

### setCopyright

    public void setCopyright(String value)

### getFooter

    public String getFooter()

### setFooter

    public void setFooter(String value)

### getLogo

    public String getLogo()

### setLogo

    public void setLogo(String value)

### getSponsorLogo

    public String getSponsorLogo()

### setSponsorLogo

    public void setSponsorLogo(String value)

### getEngineProperties

    public Properties getEngineProperties()

### setEngineProperties

    public void setEngineProperties(Properties p)

### publish

    public void publish()

### writeChapter

    public void writeChapter(groovy.text.Template template,
                             String targetDir,
                             String title,
                             StringBuffer content,
                             Map vars)

### initialize

    protected void initialize()

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project